Ext.ns('Nexts');

Nexts.Toolbar = Ext.extend(Ext.Toolbar, {
    /**
     * Adds a spacer element
     * @return {Ext.Toolbar.Spacer} The spacer item
     */
    addSpacer: function(config) {
        return this.addItem(new Nexts.Toolbar.Spacer(config));
    }
});

Nexts.Toolbar.Spacer = function(config) {
	config = config || {};
	Nexts.Toolbar.Spacer.superclass.constructor.call(this, config);
	if (config.width) {
		this.setWidth(config.width);
	}
};

Ext.extend(Nexts.Toolbar.Spacer, Ext.Toolbar.Spacer, {
	setWidth: function(width) {
		this.el.setWidth(width);
	}
});

Ext.reg('r.tbspacer', Nexts.Toolbar.Spacer);
